Subject: RE: [NSIS] framework: proposal on fragmentation

From: "Hancock, Robert" <[email-masked]>
Date: Fri, 6 Jun 2003 16:07:10 +0100

hi lasse,

see comments below:

> > The reason is that we have essentially a 'flat' NTLP where an instance
> > has to support all signalling application traffic passing through
> > that node, even if the node doesn't support that application (FW section
> > 3.2.1 if you've forgotten). So an NTLP never knows what NSLPs it is
> > going to have to handle, and an NSLP can't tell downstream NTLP nodes
> > what to support.
> >
> 
> NSLP will above the NTLP and between those it will be an 
> interface. Can't this
> interface include primitves for the NSLP ?
> I have difficulties to the issues here.

reproduced from the framework:

               +------+    +------+    +------+    +------+ 
               |  NE  |    |  NE  |    |  NE  |    |  NE  | 
               |+----+|    |      |    |+----+|    |+----+| 
               ||NSLP||    |      |    ||NSLP||    ||NSLP|| 
               ||    ||    |      |    ||    ||    ||    || 
               || 1  ||    |      |    || 2  ||    || 1  || 
               |+----+|    |      |    |+----+|    |+----+| 
               |  ||  |    |      |    |      |    |  ||  | 
               |+----+|    |+----+|    |+----+|    |+----+| 
           ====||NTLP||====||NTLP||====||NTLP||====||NTLP||==== 
               |+----+|    |+----+|    |+----+|    |+----+| 
               +------+    +------+    +------+    +------+ 
                                      
               Figure 5: Signaling with Heterogeneous NSLPs 

how does the NSLP in the first node agree a mode of operation with
the NTLP in the third node (for example)? Without putting a whole
load of NTLP mode negotiation stuff in the NTLP itself. (Mode
negotiation is almost certain to be stateful and not what you want.)

[everything else trimmed away as handled in other mails...]

cheers,

r.
_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis

---

From: "Lars.Westberg" <[email-masked]>
Date: Fri, 06 Jun 2003 17:21:31 +0200

Se comment below

> reproduced from the framework:

No, I trying to explain it:
If you have a network element without knowledge of the NSLP:s requirment, the
default should be to forward it to the next hop without doing anything to the
NSLP-messages.

regards Lasse

>   ------------------------------------------------------------------------
>                           Name: RMRL-Disclaimer.txt
>    RMRL-Disclaimer.txt    Type: Plain Text (text/plain)
>                       Encoding: 7bit